XtNameToWidget(3Xt)

NAME
XtNameToWidget, XtWidgetToWindow - translating strings to widgets or widgets to windows

SYNTAX
Widget XtNameToWidget(reference, names);
      Widget reference;
      String names;

Widget XtWindowToWidget(display, window)
      Display *display;
      Window window;

ARGUMENTS

display
    Specifies the display on which the window is defined.

names
    Specifies the fully qualified name of the desired widget.

reference
    Specifies the widget from which the search is to start.

window
    Specify the window for which you want the widget.

DESCRIPTION
The function looks for a widget whose name is the first component in the specified names and that is a pop-up child of reference (or a normal child if reference is a subclass of It then uses that widget as the new reference and repeats the search after deleting the first component from the specified names. If it cannot find the specified widget, returns NULL.

Note that the names argument contains the name of a widget with respect to the specified reference widget and can contain more than one widget name (separated by periods) for widgets that are not direct children of the specified reference widget.

If more than one child of the reference widget matches the name, can return any of the children. The Intrinsics do not require that all children of a widget have unique names. If the specified names contain more than one component and if more than one child matches the first component, can return NULL if the single branch that it follows does not contain the named widget. That is, does not back up and follow other matching branches of the widget tree.

The function translates the specified window and display pointer into the appropriate widget instance.

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface